#
# spec file for package gnome-screensaver (Version 2.14.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-data-SuSE desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel gle glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-devel pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs xscreensaver zlib zlib-devel

Name:           gnome-screensaver
BuildRequires:  gnome-common gnome-menus-devel gnutls-devel intltool libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel pam-devel perl-XML-Parser update-desktop-files xscreensaver
Version:        2.14.0
Release:        19.6
URL:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL
Summary:        GNOME Screen Saver and Locker
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.0/%{name}-%{version}.tar.bz2
Patch:          gnome-screensaver-suse-pam.diff
Patch3:         gnome-screensaver-switch-user.patch
Patch4:         gnome-screensaver-stay-above.patch
Patch5:         gnome-screensaver-159513.patch
Patch6:         gnome-screensaver-unlock-dialog-size.patch
Autoreqprov:    on
Requires:       /sbin/unix2_chkpwd xscreensaver
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

* the ability to lock down configuration settings

* translation into other languages

* user switching



Authors:
--------
    William Jon McCann <mccann@jhu.edu>

%debug_package
%prep
%setup
%patch
%patch3
%patch4
%patch5
%patch6 -p1
rm po/no.*
sed "/ALL_LINGUAS=/,/^$/s/ no / /" configure.ac > configure.ac.tmp && mv configure.ac.tmp configure.ac

%build
# gnome-common intltool are needed only here
aclocal
automake -f -i
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
intltoolize --force
# NOTE: Set libexecdir the same as xscreensaver.
./configure\
	--prefix=/opt/gnome\
	--libdir=/opt/gnome/%_lib\
	--libexecdir=/opt/gnome/lib/%{name}\
	--sysconfdir=/etc/opt/gnome\
	--with-gdm-config=/etc/opt/gnome/gdm/gdm.conf\
	--with-pam-prefix=/etc\
	--with-passwd-helper="/sbin/unix2_chkpwd"\
	--with-xscreensaverdir=/etc/xscreensaver
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file gnome-screensaver-preferences GNOME Screensaver X-SuSE-ControlCenter-LookAndFeel
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gnome-screensaver.schemas >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%config /etc/pam.d/gnome-screensaver
/etc/opt/gnome/gconf/schemas/gnome-screensaver.schemas
/etc/opt/gnome/xdg/menus/gnome-screensavers.menu
%dir /etc/opt/gnome/xdg
%dir /etc/opt/gnome/xdg/menus
/opt/gnome/bin/*
/opt/gnome/lib/%{name}
/opt/gnome/%_lib/pkgconfig/gnome-screensaver.pc
/opt/gnome/share/applications/*.desktop
/opt/gnome/share/desktop-directories/gnome-screensaver.directory
%dir /opt/gnome/share/pixmaps/backgrounds
/opt/gnome/share/pixmaps/backgrounds/*
/opt/gnome/share/gnome-screensaver
/opt/gnome/share/pixmaps/gnome-logo-white.svg

%changelog -n gnome-screensaver
* Mon Jun 19 2006 - rodrigo@suse.de
- Removed last patch, which didn't fix 167510 and introduced a new
  bug (#185103)
* Thu May 25 2006 - rodrigo@suse.de
- Added patch to lock the screen before signalling DBUS listeners
  that the screen saver is active. Thus, gnome-power-manager will
  start the suspend when the screensaver is active, avoiding seeing
  the screen fading out when resuming (167510)
* Mon May 08 2006 - rodrigo@suse.de
- Added gnome-screensaver-unlock-dialog-size.patch to fix weird
  resizing of the users list (#170846)
* Wed Apr 26 2006 - gekker@suse.de
- Fix incorrect indication of caps lock (#159513)
* Thu Apr 13 2006 - sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of illegal old ones.
* Wed Apr 12 2006 - danw@suse.de
- Fix the screensaver modules to not unset the fullscreen and
  keep_above flags, because compiz, unlike metacity, restacks
  the window in that case. #163931.
* Mon Mar 20 2006 - ro@suse.de
- lib64 buildfix (pkgconfig is lib64)
* Tue Mar 14 2006 - rodrigo@suse.de
- Updated to latest upstream version, which fixes #156754,
  [#134201].
- Improved regexp for no->nb_NO move.
* Wed Feb 22 2006 - rodrigo@suse.de
- Updated to latest upstream version, which fixes #146434,
  [#148739], #119784. as well as others.
- Removed upstreamed patches.
* Mon Feb 20 2006 - jpr@suse.de
- Don't abort if XFree86-VidModeExtension is not available (#152147)
* Mon Feb 13 2006 - rodrigo@suse.de
- Removed extra g_free already present upstream (#148379).
* Mon Feb 13 2006 - rodrigo@suse.de
- Use correct types for string formatting. Fixes #148379.
* Mon Feb 06 2006 - rodrigo@suse.de
- Use correct UTF-8 strings. Fixes #146434.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - rodrigo@suse.de
- Updated to 0.0.25.
- Updated missing-icon patch to upstream changes.
- Some spec file fixes.
* Thu Nov 17 2005 - rodrigo@suse.de
- Update to 0.0.20 release.
* Wed Nov 16 2005 - rodrigo@suse.de
- Added gnome-screensaver-missing-icon.patch.
* Tue Nov 15 2005 - rodrigo@suse.de
- Update to 0.0.19 release.
- Update PAM patch.
* Thu Oct 20 2005 - rodrigo@suse.de
- Enable user switching by default.
* Tue Oct 18 2005 - rodrigo@suse.de
- Update to version 0.0.16.
- Removed patch fixed upstream.
- Added rename of 'no' locale to 'nb_NO'.
* Tue Oct 04 2005 - rodrigo@suse.de
- Require xscreensaver, so that default installation has more than
  just 2/3 screensavers.
* Thu Sep 15 2005 - clahey@suse.de
- Update categories for desktop file.
- Part of fix for #115299.
* Tue Sep 13 2005 - rodrigo@suse.de
- Update to version 0.0.13, which contains the two patches
  recently added (for #116331 and #114729) plus speed up when
  loading xscreensaver hacks.
* Mon Sep 12 2005 - sbrabec@suse.cz
- Fixed xscreensaver hack directory (#116331).
* Mon Sep 12 2005 - rodrigo@suse.de
- Updated kdm patch to fix all cases for #114729.
* Mon Sep 12 2005 - rodrigo@suse.de
- Added xscreensaver to nfb so that we get the /etc/xscreensaver
  directory (#116331)
* Mon Sep 12 2005 - rodrigo@suse.de
- Added gnome-screensaver-kdm.patch (#114729)
* Wed Sep 07 2005 - sbrabec@suse.cz
- Updated to version 0.0.12.
* Tue Sep 06 2005 - rodrigo@suse.de
- Update to version 0.0.11
* Wed Aug 31 2005 - rodrigo@suse.de
- Update to version 0.0.10
- Removed upstreamead patch (#113355)
- Added flags to get the /etc/xscreensaver dir.
* Fri Aug 26 2005 - rodrigo@suse.de
- Added gnome-screensaver-xscreensaver patch (#113355)
- Removed description patch, since it makes the dialog very ugly
  when displaying the huge list of xscreensaver hacks.
- Moved missing icon part of description patch to its own file.
* Thu Aug 25 2005 - rodrigo@suse.de
- Removed pam for nfb.
* Thu Aug 25 2005 - rodrigo@suse.de
- Updated to upstream 0.0.9.
- Add my patches in a separate file.
* Mon Aug 15 2005 - rodrigo@suse.de
- Updated to CVS's 0.0.9 with all my uncommitted patches.
- Removed upstreamed patch.
* Fri Aug 05 2005 - rodrigo@suse.de
- Don't depend on xscreensaver.
- Display icon for configuration to the control center (bug #102357)
* Wed Aug 03 2005 - gekker@suse.de
- Update to version 0.0.8
* Tue Aug 02 2005 - sbrabec@suse.cz
- Use hacks in its own directory.
* Tue Jul 26 2005 - sbrabec@suse.cz
- Patch to share screensaver modules with xscreensaver.
* Tue Jul 19 2005 - sbrabec@suse.cz
- Added --with-passwd-helper=/sbin/unix2_chkpwd (#96125).
* Mon Jul 11 2005 - sbrabec@suse.cz
- Updated to version 0.0.7.
- Fixed PAM support (patch from Rodrigo Moya).
* Fri Jul 01 2005 - sbrabec@suse.cz
- New SuSE package, version 0.0.5.
